Skip Menu |
 

This queue is for tickets about the Alias-Any CPAN distribution.

Report information
The Basics
Id: 122391
Status: resolved
Priority: 0/
Queue: Alias-Any

People
Owner: Nobody in particular
Requestors: 'spro^^*%*^6ut# [...] &$%*c
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: (no value)
Fixed in: (no value)



Subject: Does not work under 5.20
Download (untitled) / with headers
text/plain 717b
The documentation states that it uses Data::Alias up to 5.18, and uses perl’s built-in refaliasing feature in 5.20 and up. But refaliasing was not introduced till 5.22. This point is moot, though, since Keyword::Declare depends on PPR, which consumes too much memory under 5.20 (due to <https://rt.perl.org/Ticket/Display.html?id=122283>), so it would only work if someone happened to have an old version of Keyword::Declare installed. This is a case where caveats in the documentation would probably be called for. I am not actually using 5.20. I just happened to notice that the versions seemed off in the documentation. (After all, I wrote the refaliasing feature. I didn’t remember it being that old!)
Subject: Re: [rt.cpan.org #122391] Does not work under 5.20
Date: Sat, 8 Jul 2017 14:40:57 +1000
To: bug-Alias-Any [...] rt.cpan.org
From: Damian Conway <damian [...] conway.org>
Download (untitled) / with headers
text/plain 343b
Thanks for the history lesson. :-) And, more importantly, for the refaliasing mechanism, which I am particularly grateful to you for adding. I've adjusted the module's code and documentation accordingly. Though, of course, as you pointed out: the difference is moot given that the module is unlikely ever to run under Perl 5.20. :-( Damian


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.